__gnu_pbds::sample_range_hashing Class Reference

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| sample_range_hashing ()
| sample_range_hashing (const sample_range_hashing &other)
void | swap (sample_range_hashing &other)

## Protected Member Functions

void | notify_resized (size_type)
size_type | operator() (size_type) const

## Detailed Description

A sample range-hashing functor.

Definition at line 47 of file sample_range_hashing.hpp.

## Member Typedef Documentation

typedef std::size_t __gnu_pbds::sample_range_hashing::size_type

Size type.

Definition at line 51 of file sample_range_hashing.hpp.

## Constructor & Destructor Documentation

__gnu_pbds::sample_range_hashing::sample_range_hashing | ( |  | ) |

Default constructor.

__gnu_pbds::sample_range_hashing::sample_range_hashing | ( | const sample_range_hashing & | other | ) |

Copy constructor.

## Member Function Documentation

void __gnu_pbds::sample_range_hashing::notify_resized | ( | size_type |  | ) |

protected

Notifies the policy object that the container's size has changed to argument's size.

size_type __gnu_pbds::sample_range_hashing::operator() | ( | size_type |  | ) | const

inlineprotected

Transforms the __hash value hash into a ranged-hash value.

void __gnu_pbds::sample_range_hashing::swap | ( | sample_range_hashing & | other | ) |

inline

Swaps content.

The documentation for this class was generated from the following file:

- sample_range_hashing.hpp